#include<iostream>
using namespace std;
long long evklid(long long a, long long b){
    if(a > b){
        if(a % b == 0){
            return b;
        }
    }
    if(a < b){
        if(b % a == 0){
            return a;
        }
    }
    while(a != b && a != 1 && b != 1){
        if(a > b){
            a -= b;
        }else{
            b -= a;
        }
    }
    if(a == 1 || b == 1){
        return 1;
    }else{
        return b;
    }
}
long long razlozi(long long a, long long b){
    bool del1[1000000], del2[1000000];
    long long br1[1000000], br2[1000000], delA, delB, otg = 1, until = 0;
    for(long long i = 0; i < 1000000; i++){
        br1[i] = 0;
        br2[i] = 0;
        del1[i] = false;
        del2[i] = false;
    }
    while(a > 1){
        for(delA = 2; a % delA != 0; delA++){}
        del1[delA] = 1;
        br1[delA]++;
        a /= delA;
        if(delA > until){
            until = delA;
        }
    }
    while(b > 1){
        for(delB = 2; b % delB != 0; delB++){}
        del2[delB] = 1;
        br2[delB]++;
        b /= delB;
        if(delB > until){
            until = delB;
        }
    }
    for(long long i = 0; i < until; i++){
        if(del1[i] && del2[i]){
            while(br1[i] > 0 && br2[i] > 0){
                otg *= i;
                br1[i]--;
                br2[i]--;
            }
        }
    }
    return otg;
}
int main(){
    long long n, otg = 0;
    cin >> n;
    if(n % 2 == 1){
        for(int i = 1; i <= n / 2; i++){
            if(otg < evklid(i, n - i)){
                otg = evklid(i, n - i);
            }
        }
        cout << otg;
    }else{
        cout << n / 2;
    }
    return 0;
}
